<!DOCTYPE html>
<html>

	<head>
		<meta charset="UTF-8">
		<title>sage</title>
		<link rel="stylesheet" type="text/css" href="css/easyui.css">
		<link rel="stylesheet" type="text/css" href="css/icon.css">
		<script type="text/javascript" src="js/lib/jquery.min.js"></script>
		<script type="text/javascript" src="js/lib/jquery.easyui.min.js"></script>
	</head>

	<body>
		<div class="detailed1 userDetailed clearfix">
			<button type="button" class="icon detailed_close"></button>
			<div class="common_content_title">优惠券明细记录</div>

			<form>
				<div class="userDetailed_tab_scach clearfix">
					<div class="common_content_scach_box fl">
						<ul class="clearfix table_title_msg">
							<li id="couponRecordDetail_couponName">
							</li>
							<li id="couponRecordDetail_issue_quantity">
							</li>
							<li id="couponRecordDetail_used_quantity">
							</li>
						</ul>
					</div>
					<div class="common_content_scach_box fl">
						<ul class="clearfix">
							<li>
								<span>手机号</span>
								<div>
									<input id="couponRecordDetail_mobile" name="a" size="16" type="text" class="form-control" value="">
								</div>
							</li>
							<li>
								<span>券码</span>
								<div>
									<input id="couponRecordDetail_couponInstanceCode" name="a" size="16" type="text" class="form-control" value="">
								</div>
							</li>
							<li>
								<span>发放时间</span>
								<div>
									<input id="couponRecordDetail_issueStartTime" name="fromDate" class="Wdate date_input" type="text" onFocus="WdatePicker({maxDate:'#F{$dp.$D(\'couponRecordDetail_issueEndTime\')||\'2099-12-31\'}'})"/>
									<!-- <input id="couponRecordDetail_issueStartTime" size="16" type="text" class="form-control form_datetime" value="" readonly> -->
									<!-- <i class="input_icon input_date"></i> -->
								</div>
							</li>
							<li>
								<span>至</span>
								<div>
									<input id="couponRecordDetail_issueEndTime" name="thruDate" class="Wdate date_input" type="text" onFocus="WdatePicker({minDate:'#F{$dp.$D(\'couponRecordDetail_issueStartTime\')}',maxDate:'2099-12-31'})"/>
									<!-- <input id="couponRecordDetail_issueEndTime" size="16" type="text" class="form-control form_datetime" value="" readonly> -->
									<!-- <i class="input_icon input_date"></i> -->
								</div>
							</li>
						</ul>
						<ul class="clearfix">
							<li>
								<span>状态</span>
								<div>
									<select class="form-control" id="statusId">
										<option value="0">请选择</option>
										<option value="1601">已创建</option>
										<option value="1602">未使用</option>
										<option value="1603">已使用</option>
										<option value="1604">已过期</option>
										<option value="1605">已作废</option>
										<option value="1606">使用中</option>
									</select>
								</div>
							</li>
							<li>
								<span>发放状态</span>
								<div>
									<select class="form-control" id="issueStatus">
										<option value="0">请选择</option>
										<option value="1501">待推送</option>
										<option value="1502">已推送</option>
										<option value="1503">推送中</option>
										<option value="1504">未发放</option>
									</select>
								</div>
							</li>
							

						</ul>
					</div>
					<i id="couponRecordDetail_search" class="icon seach_btn fl"></i>
					<button id="couponRecordExport" type="button" style="display: block;float: right;margin-top: -53px;" class="btn btn-success btn-block choose_btn">导出</button>
				</div>
			</form>
			<div class="common_content_table box_shadow">
				<table id="couponRecordDetail_table" class="easyui-datagrid" style="width:100%;height:300px" data-options="pagination:true,singleSelect:true,collapsible:true,method:'get'">
					<thead>
						<tr>
							<th data-options="field:'ck',checkbox:true"></th>
							<th data-options="field:'couponInstanceId',width:80,halign:'center',hidden:true">CouponInstanceId</th>
							<th data-options="field:'memberName',width:120,halign:'center',align:'center'">用户名</th>
							<th data-options="field:'memberMobile',width:140,align:'center',halign:'center'">手机号</th>
							<th data-options="field:'couponInstanceCode',width:140,align:'center',halign:'center'">优惠券码</th>
							<th data-options="field:'createTime',width:130,align:'center',halign:'center',formatter:dateTimeformat">发放时间</th>
							<th data-options="field:'usedTime',width:130,align:'center',halign:'center',formatter:dateTimeformat">核销时间</th>
							<th data-options="field:'storeName',width:120,halign:'center',align:'center'">核销门店</th>
							<th data-options="field:'statusId',width:100,align:'center',halign:'center'
							,formatter : function(value, row, index) {return $.Coupon_Instance_Status.getText(value);}">状态</th>
							<th data-options="field:'issueStatus',width:100,align:'center',halign:'center'
							,formatter : function(value, row, index) {return $.Coupon_Issue_Status.getText(value);}">发放状态</th>
							<th data-options="field:'getChannelId',width:140,align:'center',halign:'center'
							,formatter : function(value, row, index) {return $.Coupon_Issue_Channel.getText(value);}">发放渠道</th>
							<th data-options="field:'activityInstanceName',width:120,halign:'center',align:'center'">来源</th>
							<th data-options="field:'exchangeCode',width:120,halign:'center',align:'center'">兑换码</th>
						</tr>
					</thead>
				</table>
			</div>
			<!-- <button id="tonny" type="button" class="btn btn-success btn-block choose_btn">移除</button> -->
		</div>
		<script type="text/javascript">
			$(function() {
				require(['view/coupon/couponRecordDetail'], function(re) {
					re.init();
				});
			});
		</script>
	</body>

</html>